Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.services.transform
Interface ComponentClassTransformWorker2

All Known Implementing Classes:
  ActivationRequestParameterWorker, ApplicationStateWorker, BindParameterWorker, CachedWorker, CommitAfterWorker, CommitAfterWorker, ComponentWorker, DiscardAfterWorker, EnvironmentalWorker, FormResourcesInclusionWorker, HeartbeatDeferredWorker, ImportWorker, InjectComponentWorker, InjectContainerWorker, InjectPageWorker, InjectServiceWorker, InjectWorker, LogWorker, MetaWorkerImpl, MixinAfterWorker, MixinWorker, OnEventWorker, PageActivationContextWorker, PageLifecycleAnnotationWorker, PageResetAnnotationWorker, ParameterWorker, PersistenceContextWorker, PersistWorker, PropertyWorker, RenderCommandWorker, RenderPhaseMethodWorker, RetainWorker, SessionAttributeWorker, SupportsInformalParametersWorker, UnclaimedFieldWorker

    @UsesOrderedConfiguration(value=ComponentClassTransformWorker2.class)
    public interface ComponentClassTransformWorker2

Interface for a set of objects that can perform transformation of component classes. Implementations should be thread safe and ideally stateless (all necessary state can be stored inside the `PlasticClass`).

The ComponentClassTransformWorker service uses an ordered configuration of these works as a chain of command. For compatibility with the code compiled for Tapestry 5.2, contributions of type `ComponentClassTransformWorker` are type coerced into this type automatically.

Since:
  5.3
See Also:
  `PlasticClass`

Method Summary
`void` | `transform(PlasticClass plasticClass, TransformationSupport support, MutableComponentModel model)` Invoked to perform part of the transformation of the `PlasticClass`.

Method Detail

### transform

    void transform(PlasticClass plasticClass,
                   TransformationSupport support,
                   MutableComponentModel model)

  Invoked to perform part of the transformation of the `PlasticClass`.

  Parameters:
    `plasticClass` - component class being transformed
    `support` - additional utilities needed during the transformation
    `model` - the model for the component being transformed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.